# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewArray, DXNewArrayV

Function

Create an irregular Array Object.

Syntax

    #include <dx/dx.h>
    Array DXNewArray(Type t, Category c, int rank, ...)
    Array DXNewArrayV(Type t, Category c, int rank, int *shape)

Functional Details

The Object created is an Array of Array subclass `CLASS_ARRAY`. Each `item` is a scalar, vector, matrix, or tensor whose rank is specified by `rank` (number of dimensions).

The first form of this routine (`DXNewArray`) specifies the shape as the last `rank` arguments. The second form (`DXNewArrayV`) specifies `shape` as an Array of integers. Each entry in the item is real or complex, as specified by `c`, with coefficients that are integer, single precision, and double precision, according to `t`. The Array initially contains no items.

The type is one of the following:

    TYPE_BYTE            TYPE_HYPER        TYPE_SHORT
    TYPE_UBYTE           TYPE_INT          TYPE_USHORT
    TYPE_DOUBLE          TYPE_UINT         TYPE_STRING
    TYPE_FLOAT

The category is `CATEGORY_REAL or CATEGORY_COMPLEX`.

Return Value

Return the Array or return `NULL` and set an error code.

`DXAddArrayData`

"Irregular Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]